[Setup]
AppName=AtteStat
AppVerName=AtteStat
AppVersion=14.1b
AppCopyright=Copyright  2002 Igor Gaydyshev
AppPublisher=Igor Gaydyshev
DefaultDirName={sd}\AtteStat
DefaultGroupName=AtteStat
SetupIconFile=deploy\attestat.ico
LicenseFile=deploy\License.txt
OutputBaseFilename=attestat
OutputDir=Output
PrivilegesRequired=admin

[Registry]
Root: HKCU; Subkey: "Environment"; ValueType: expandsz; ValueName: "Path"; ValueData: "{olddata};{app}";  Check: NeedsAddPath('AtteStat')

[Code]
function NeedsAddPath(AdditionalPath: string): boolean;
var
  OriginalPath: string;
begin
  RegQueryStringValue(HKCU,'Environment','Path',OriginalPath)
  Result := Pos(AdditionalPath,OriginalPath) = 0;
end;

[Languages]
Name: "en"; MessagesFile: "compiler:Default.isl"
Name: "ru"; MessagesFile: "compiler:Languages\Russian.isl"

[Files]
; Copy to application directory
Source: "deploy\mecom32.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "deploy\mecom64.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "deploy\attestat.ico"; DestDir: "{app}"; Flags: ignoreversion
Source: "deploy\Run_en.vbs"; DestDir: "{app}"; Flags: ignoreversion; Languages: en
Source: "deploy\Run_ru.vbs"; DestDir: "{app}"; Flags: ignoreversion; Languages: ru
Source: "deploy\Base_en.xla"; DestDir: "{reg:HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths\Excel.exe,Path}\XLStart"; Flags: ignoreversion; Languages: en
Source: "deploy\Base_ru.xla"; DestDir: "{reg:HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths\Excel.exe,Path}\XLStart"; Flags: ignoreversion; Languages: ru

[Icons]
Name: "{userdesktop}\AtteStat"; Filename: "{app}\Run_en.vbs"; IconFilename: "{app}\attestat.ico"; Languages: en
Name: "{userdesktop}\AtteStat"; Filename: "{app}\Run_ru.vbs"; IconFilename: "{app}\attestat.ico"; Languages: ru
Name: "{group}\AtteStat"; Filename: "{app}\Run_en.vbs"; IconFilename: "{app}\attestat.ico"; Languages: en
Name: "{group}\AtteStat"; Filename: "{app}\Run_ru.vbs"; IconFilename: "{app}\attestat.ico"; Languages: ru
Name: "{group}\Uninstall AtteStat"; Filename: "{uninstallexe}"
